%define debug_package %{nil}

Name:		editra
Version:	0.7.20
Release:	%mkrel 10
Summary:	A developer's text editor

Group:		Editors
License:	GPLv2+
URL:		http://editra.org/

Source0:	http://editra.org/uploads/src/Editra-%{version}.tar.gz

BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildRequires:	wxPythonGTK

Requires:	wxPython
Requires:	python

%description
Editra is a cross-platform text editor with an implementation that
focuses on creating an easy to use interface and features that aid
in code development. Currently it supports syntax highlighting and
variety of other useful features for over 60 programming languages.

%prep
%setup -qn Editra-%{version}

%build
%{__python} setup.py build

%install

%{__python} setup.py install -O1 --skip-build --root %{buildroot} --install-purelib=%{py_platsitedir}
chmod a+r %{buildroot}%{py_platsitedir}/*/*
%__mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=Editra
MimeType=text/plain;
GenericName=Editra
GenericName[es]=Editra
Comment=Text Editor
Comment[es]=Editor de Texto
Exec=editra
Icon=/%{python_sitearch}/Editra/pixmaps/editra.png
Terminal=false
Type=Application
StartupNotify=true
Categories=GTK;Development;TextEditor;
EOF

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{python_sitearch}/Editra-%{version}-py*.egg-info
%{python_sitearch}/Editra/*


%changelog
* Sun Feb 14 2016 umeabot <umeabot> 0.7.20-10.mga6
+ Revision: 959982
- Mageia 6 Mass Rebuild

* Thu Sep 10 2015 neoclust <neoclust> 0.7.20-9.mga6
+ Revision: 875492
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 0.7.20-8.mga5
+ Revision: 746466
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.7.20-7.mga5
+ Revision: 726178
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.7.20-6.mga5
+ Revision: 678960
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.7.20-5.mga5
+ Revision: 628168
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.7.20-4.mga4
+ Revision: 542624
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.7.20-3.mga4
+ Revision: 497740
- Rebuild to add different pythonegg provides for python 2 and 3

* Fri Jan 11 2013 umeabot <umeabot> 0.7.20-2.mga3
+ Revision: 349502
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 vaci0 <vaci0> 0.7.20-1.mga3
+ Revision: 344138
- Update to version 0.7.20

* Sat Sep 08 2012 vaci0 <vaci0> 0.7.12-1.mga3
+ Revision: 289698
-Updated to version 0.7.12

* Sat Aug 04 2012 vaci0 <vaci0> 0.7.08-2.mga3
+ Revision: 278405
- Fixed Categories Development in .desktop file

* Sat Jul 28 2012 vaci0 <vaci0> 0.7.08-1.mga3
+ Revision: 275113
- Updated to 0.7.08 version
- Removed obsolete defattr call in %%files
- Simplified file instalation with one line for all files in %%files.

* Tue Jul 10 2012 juancho <juancho> 0.7.01-1.mga3
+ Revision: 269184
- Added back BR wxPythonGTK
- Changed macro %%{python_sitelib} for %%{python_sitearch} so it builds on x86_64
- Removed all .mo individual entries in %%files for a generic one for all of them
- Renamed spec to lower case
- Renamed to lower case

  + vaci0 <vaci0>
    - Fix BuildRequires
    - Fix path to icon in .desktop
    - Fix name in lowercase
    - imported package Editra

